Ticket #35296

2015.3 に向けた記号読み上げ辞書の更新

Open Date: 2015-06-30 16:34 Last Update: 2015-08-17 09:33

Reporter: nishimoto Owner: (None)
Type: Patches Status: Closed
Component: 言語依存リソース MileStone: 2015.3 (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

2015.3 に向けた記号読み上げ辞書の更新をこのチケットで扱う。

関連する本家チケットは下記:

http://community.nvda-project.org/ticket/3805

本家チケット 3805 の一部として 2015.3 では数式読み上げに関する記号が symbols.dic に追加される。

NVDA は日本語版で独自に文字説明辞書の拡張をしているが、それと同時に本家版 symbols.dic にも 日本語関連の記号を追加している。

ただし、そもそも本家の記号辞書が Unicode などで文字を管理する仕組みをもっておらず、 本家版の en ロケールで追加された記号が日本語版で対応ずみかどうかを、簡単に把握できない。

文字説明辞書の管理ツールなども整備する必要がある。

Attachment File List

No attachments

Ticket History (3/6 Histories)

2015-06-30 16:34 Updated by: nishimoto
  • New Ticket "2015.3 に向けた記号読み上げ辞書の更新" created
2015-06-30 19:36 Updated by: nishimoto
Comment

現在、本家の翻訳対象 symbols.dic において、 英語で存在して、日本語に存在しない文字。 数字は英語の symbols.dic の行番号:

英語 ja\symbols-newRevisions\11146\symbols.dic
日本語 ja\symbols.dic

x U+2204 (∄) e:124 (There Does Not Exist)
x U+220c (∌) e:132 (DOES NOT CONTAIN AS MEMBER)
x U+220e (∎) e:134 (END OF PROOF)
x U+2264 (≤) e:158 (LESS-THAN OR EQUAL TO)
x U+221b (∛) e:141 (CUBE ROOT)
x U+221c (∜) e:142 (FOURTH ROOT)
x U+2237 (∷) e:157 (PROPORTION)
x U+2206 (∆) e:126 (INCREMENT)
x U+220a (∊) e:130 (SMALL ELEMENT OF)
x U+2236 (∶) e:156 (RATIO)
x U+220f (∏) e:135 (N-ARY PRODUCT)
x U+2226 (∦) e:148 (NOT PARALLEL TO)
x U+2201 (∁) e:121 (Complement)
x U+2205 (∅) e:125 (EMPTY SET)
x U+2209 (∉) e:129 (NOT AN ELEMENT OF)
x U+220d (∍) e:133 (SMALL CONTAINS AS MEMBER)
x U+2265 (≥) e:159 (GREATER-THAN OR EQUAL TO)
2015-06-30 20:44 Updated by: nishimoto
  • Resolution Update from None to Fixed
Comment

翻訳 subversion rev 22297 として symbols.dic の更新をコミット。

現在の本家版 en と本家版 ja の symbols.dic の比較:

o U+0020 ( ) e:39 (space) j:56 (スペース)
o U+0021 (!) e:43 (bang) j:60 (カンタンフ)
o U+0022 (") e:44 (quote) j:61 (コーテーション)
o U+0024 ($) e:46 (dollar) j:63 (ドル)
o U+0025 (%) e:51 (percent) j:73 (パーセント)
o U+0026 (&) e:52 (and) j:74 (アンド)
o U+0027 (') e:53 (tick) j:75 (シングル)
o U+0028 (() e:54 (left paren) j:76 (カッコ)
o U+0029 ()) e:55 (right paren) j:77 (カッコトジ)
o U+002a (*) e:56 (star) j:78 (アスタリスク)
o U+002b (+) e:57 (plus) j:79 (プラス)
o U+002c (,) e:58 (comma) j:80 (コンマ)
o U+002d (-) e:59 (dash) j:81 (マイナス)
o U+002e (.) e:60 (dot) j:82 (ピリオド)
o U+002f (/) e:61 (slash) j:83 (スラッシュ)
o U+003a (:) e:62 (colon) j:84 (コロン)
o U+003b (;) e:63 (semi) j:85 (セミコロン)
o U+003c (<) e:64 (less) j:86 (ショーナリ)
o U+003d (=) e:66 (equals) j:88 (イコール)
o U+003e (>) e:65 (greater) j:87 (ダイナリ)
o U+003f (?) e:67 (question) j:89 (クエスチョン)
o U+0040 (@) e:68 (at) j:90 (アット)
o U+005b ([) e:69 (left bracket) j:91 (ダイカッコ)
o U+005c (\) e:45 (number) j:62 (シャープ)
o U+0000 () e:34 (blank) j:51 (ブランク)
o U+005c (\) e:71 (backslash) j:71 (エン)
o U+000c () e:37 (page break) j:54 (カイページ)
o U+000a () e:36 (line feed) j:53 (カイギョウ)
o U+000d () e:38 (carriage return) j:55 (フッキ)
o U+0009 () e:35 (tab) j:52 (タブ)
o U+005d (]) e:70 (right bracket) j:92 (ダイカッコトジ)
o U+005e (^) e:72 (caret) j:93 (ベキジョー)
o U+005f (_) e:73 (line) j:94 (アンダーライン)
o U+0060 (`) e:74 (graav) j:95 (アクサングラーブ)
o U+007b ({) e:75 (left brace) j:96 (チューカッコ)
o U+007c (|) e:77 (bar) j:98 (タテセン)
o U+007d (}) e:76 (right brace) j:97 (チューカッコトジ)
o U+007e (~) e:78 (tilda) j:99 (チルダ)
o U+00a0 ( ) e:40 (space) j:57 (スペース)
o U+00a2 (¢) e:49 (Cents) j:68 (セント)
o U+00a3 (£) e:47 (pound) j:66 (ポンド)
o U+00a5 (¥) e:50 (Yen) j:70 (エン)
o U+00a7 (§) e:100 (section) j:219 (セクション)
o U+00a8 (¨) e:92 (diaeresis) j:152 (ウムラウト)
o U+00a9 (©) e:110 (Copyright) j:118 (シー)
o U+00ab («) e:102 (double left pointing angle bracket) j:122 (ヒダリ ダブル ブラケット)
o U+00ae (®) e:108 (registered) j:116 (アール)
o U+00b0 (°) e:101 (degrees) j:210 (ド)
o U+00b1 (±) e:111 (Plus or Minus) j:197 (プラスマイナス)
o U+00b2 (²) e:106 (superscript 2) j:114 (ウワツキニ)
o U+00b3 (³) e:107 (superscript 3) j:115 (ウワツキサン)
o U+00b5 (µ) e:104 (micro) j:124 (マイクロ)
o U+00b9 (¹) e:105 (superscript 1) j:113 (ウワツキイチ)
o U+00bb (») e:103 (double right pointing angle bracket) j:123 (ミギ ダブル ブラケット)
o U+00d7 (×) e:112 (times) j:198 (カケル)
o U+00f7 (÷) e:113 (divide by) j:199 (ワル)
o U+200e (‎) e:93 (left to right mark) j:110 (ヒダリカラミギマーク)
o U+200f (‏) e:94 (right to left mark) j:111 (ミギカラヒダリマーク)
o U+2013 (–) e:89 (en dash) j:108 (エンダッシュ)
o U+2014 (—) e:90 (em dash) j:109 (エムダッシュ)
o U+2018 (‘) e:87 (left tick) j:173 (シングル)
o U+2019 (’) e:88 (right tick) j:174 (シングルトジ)
o U+201c (“) e:85 (left quote) j:175 (コーテイション)
o U+201d (”) e:86 (right quote) j:176 (コーテイショントジ)
o U+2022 (•) e:81 (bullet) j:102 (ビュレット)
o U+2026 (…) e:82 (dot dot dot) j:171 (サンテン リーダ)
o U+20ac (€) e:48 (euro) j:65 (ユーロ)
o U+2122 (™) e:109 (Trademark) j:117 (ティーエム)
o U+2190 (←) e:114 (left arrow) j:236 (ヒダリ ヤジルシ)
o U+2192 (→) e:115 (right arrow) j:235 (ミギ ヤジルシ)
o U+2200 (∀) e:120 (For All ) j:268 (フツー ゲンテイシ)
o U+2201 (∁) e:121 (Complement) j:252 (コンプリメント)
o U+2202 (∂) e:122 (Partial Derivative) j:271 (ラウンドディー)
o U+2203 (∃) e:123 (There exists) j:269 (ソンザイ ゲンテイシ)
o U+2204 (∄) e:124 (There Does Not Exist) j:240 (ソンザイノ ヒテイ)
o U+2205 (∅) e:125 (EMPTY SET) j:253 (クウシュウゴウ)
o U+2206 (∆) e:126 (INCREMENT) j:247 (インクリメント)
o U+2207 (∇) e:127 (NABLA) j:272 (ナブラ)
o U+2208 (∈) e:128 (ELEMENT OF) j:257 (ゾクスル)
o U+2209 (∉) e:129 (NOT AN ELEMENT OF) j:254 (ゾクスルノ ヒテイ)
o U+220a (∊) e:130 (SMALL ELEMENT OF) j:248 (チイサイ ゾクスル)
o U+220b (∋) e:131 (CONTAINS AS MEMBER) j:258 (フクム)
o U+220c (∌) e:132 (DOES NOT CONTAIN AS MEMBER) j:241 (フクムノ ヒテイ)
o U+220d (∍) e:133 (SMALL CONTAINS AS MEMBER) j:255 (チイサイ モトトシテ フクム)
o U+220e (∎) e:134 (END OF PROOF) j:242 (ショウメイ シュウリョウ)
o U+220f (∏) e:135 (N-ARY PRODUCT) j:250 (エヌコウ プロダクト)
o U+2211 (∑) e:139 (N-ARY SUMMATION) j:284 (シグマ)
o U+221a (√) e:140 (SQUARE ROOT) j:285 (コン)
o U+221b (∛) e:141 (CUBE ROOT) j:244 (3ジョウコン)
o U+221c (∜) e:142 (FOURTH ROOT) j:245 (4ジョウコン)
o U+221d (∝) e:143 (PROPORTIONAL TO) j:276 (ヒレイ)
o U+221e (∞) e:144 (INFINITY) j:206 (ムゲンダイ)
o U+221f (∟) e:145 (RIGHT ANGLE) j:288 (チョッカク)
o U+2220 (∠) e:146 (ANGLE) j:287 (カク)
o U+2225 (∥) e:147 (PARALLEL TO) j:169 (タテヘイコー)
o U+2226 (∦) e:148 (NOT PARALLEL TO) j:251 (タテヘイコーノ ヒテイ)
o U+2227 (∧) e:149 (LOGICAL AND) j:263 (オヨビ)
o U+2228 (∨) e:150 (LOGICAL OR) j:264 (マタワ)
o U+2229 (∩) e:151 (INTERSECTION) j:291 (キャップ)
o U+222a (∪) e:152 (UNION) j:292 (カップ)
o U+222b (∫) e:153 (INTEGRAL) j:277 (インテグラル)
o U+2234 (∴) e:154 (THEREFORE) j:207 (ユエニ)
o U+2235 (∵) e:155 (BECAUSE) j:290 (ナゼナラバ)
o U+2236 (∶) e:156 (RATIO) j:249 (レイショ)
o U+2237 (∷) e:157 (PROPORTION) j:246 (プロポーション)
o U+2264 (≤) e:158 (LESS-THAN OR EQUAL TO) j:243 (ショーナリイコール)
o U+2265 (≥) e:159 (GREATER-THAN OR EQUAL TO) j:256 (ダイナリイコール)
o U+2282 (⊂) e:160 (SUBSET OF) j:261 (シンブブン シューゴー)
o U+2283 (⊃) e:161 (SUPERSET OF) j:262 (シンブヲ モトトシテ フクム)
o U+2286 (⊆) e:162 (SUBSET OF OR EQUAL TO) j:259 (ブブン シューゴー)
o U+2287 (⊇) e:163 (SUPERSET OF OR EQUAL TO) j:260 (ブブンヲ モトトシテ フクム)
o U+25a0 (■) e:95 (black square) j:228 (クロシカク)
o U+25aa (▪) e:96 (black square) j:106 (ビュレット)
o U+25cf (●) e:91 (circle) j:223 (クロマル)
o U+25e6 (◦) e:98 (white bullet) j:105 (シロビュレット)
o U+25fe (◾) e:97 (black square) j:107 (クロシカク)
o U+2713 (✓) e:116 (check) j:119 (チェック)
o U+2714 (✔) e:117 (check) j:120 (チェック)
o U+2794 (➔) e:99 (right arrow) j:112 (ミギヤジルシ)
o U+f0b7 () e:84 (bullet) j:104 (ビュレット)
2015-06-30 21:02 Updated by: nishimoto
Comment

比較ツールにバグがあって文字コードの最初のほうがおかしかったので修正版。 現在の本家版 en と本家版 ja の symbols.dic の比較:

o U+0000 () e:34 (blank) j:51 (ブランク)
o U+0009 () e:35 (tab) j:52 (タブ)
o U+000a () e:36 (line feed) j:53 (カイギョウ)
o U+000c () e:37 (page break) j:54 (カイページ)
o U+000d () e:38 (carriage return) j:55 (フッキ)
o U+0020 ( ) e:39 (space) j:56 (スペース)
o U+0021 (!) e:43 (bang) j:60 (カンタンフ)
o U+0022 (") e:44 (quote) j:61 (コーテーション)
o U+0024 ($) e:46 (dollar) j:63 (ドル)
o U+0025 (%) e:51 (percent) j:73 (パーセント)
o U+0026 (&) e:52 (and) j:74 (アンド)
o U+0027 (') e:53 (tick) j:75 (シングル)
o U+0028 (() e:54 (left paren) j:76 (カッコ)
o U+0029 ()) e:55 (right paren) j:77 (カッコトジ)
o U+002a (*) e:56 (star) j:78 (アスタリスク)
o U+002b (+) e:57 (plus) j:79 (プラス)
o U+002c (,) e:58 (comma) j:80 (コンマ)
o U+002d (-) e:59 (dash) j:81 (マイナス)
o U+002e (.) e:60 (dot) j:82 (ピリオド)
o U+002f (/) e:61 (slash) j:83 (スラッシュ)
o U+003a (:) e:62 (colon) j:84 (コロン)
o U+003b (;) e:63 (semi) j:85 (セミコロン)
o U+003c (<) e:64 (less) j:86 (ショーナリ)
o U+003d (=) e:66 (equals) j:88 (イコール)
o U+003e (>) e:65 (greater) j:87 (ダイナリ)
o U+003f (?) e:67 (question) j:89 (クエスチョン)
o U+0040 (@) e:68 (at) j:90 (アット)
o U+005b ([) e:69 (left bracket) j:91 (ダイカッコ)
o U+005c (\) e:71 (backslash) j:71 (エン)
o U+005d (]) e:70 (right bracket) j:92 (ダイカッコトジ)
o U+005e (^) e:72 (caret) j:93 (ベキジョー)
o U+005f (_) e:73 (line) j:94 (アンダーライン)
o U+0060 (`) e:74 (graav) j:95 (アクサングラーブ)
o U+007b ({) e:75 (left brace) j:96 (チューカッコ)
o U+007c (|) e:77 (bar) j:98 (タテセン)
o U+007d (}) e:76 (right brace) j:97 (チューカッコトジ)
o U+007e (~) e:78 (tilda) j:99 (チルダ)
o U+00a0 ( ) e:40 (space) j:57 (スペース)
o U+00a2 (¢) e:49 (Cents) j:68 (セント)
o U+00a3 (£) e:47 (pound) j:66 (ポンド)
o U+00a5 (¥) e:50 (Yen) j:70 (エン)
o U+00a7 (§) e:100 (section) j:219 (セクション)
o U+00a8 (¨) e:92 (diaeresis) j:152 (ウムラウト)
o U+00a9 (©) e:110 (Copyright) j:118 (シー)
o U+00ab («) e:102 (double left pointing angle bracket) j:122 (ヒダリ ダブル ブラケット)
o U+00ae (®) e:108 (registered) j:116 (アール)
o U+00b0 (°) e:101 (degrees) j:210 (ド)
o U+00b1 (±) e:111 (Plus or Minus) j:197 (プラスマイナス)
o U+00b2 (²) e:106 (superscript 2) j:114 (ウワツキニ)
o U+00b3 (³) e:107 (superscript 3) j:115 (ウワツキサン)
o U+00b5 (µ) e:104 (micro) j:124 (マイクロ)
o U+00b9 (¹) e:105 (superscript 1) j:113 (ウワツキイチ)
o U+00bb (») e:103 (double right pointing angle bracket) j:123 (ミギ ダブル ブラケット)
o U+00d7 (×) e:112 (times) j:198 (カケル)
o U+00f7 (÷) e:113 (divide by) j:199 (ワル)
o U+200e (‎) e:93 (left to right mark) j:110 (ヒダリカラミギマーク)
o U+200f (‏) e:94 (right to left mark) j:111 (ミギカラヒダリマーク)
o U+2013 (–) e:89 (en dash) j:108 (エンダッシュ)
o U+2014 (—) e:90 (em dash) j:109 (エムダッシュ)
o U+2018 (‘) e:87 (left tick) j:173 (シングル)
o U+2019 (’) e:88 (right tick) j:174 (シングルトジ)
o U+201c (“) e:85 (left quote) j:175 (コーテイション)
o U+201d (”) e:86 (right quote) j:176 (コーテイショントジ)
o U+2022 (•) e:81 (bullet) j:102 (ビュレット)
o U+2026 (…) e:82 (dot dot dot) j:171 (サンテン リーダ)
o U+20ac (€) e:48 (euro) j:65 (ユーロ)
o U+2122 (™) e:109 (Trademark) j:117 (ティーエム)
o U+2190 (←) e:114 (left arrow) j:236 (ヒダリ ヤジルシ)
o U+2192 (→) e:115 (right arrow) j:235 (ミギ ヤジルシ)
o U+2200 (∀) e:120 (For All) j:268 (フツー ゲンテイシ)
o U+2201 (∁) e:121 (Complement) j:252 (コンプリメント)
o U+2202 (∂) e:122 (Partial Derivative) j:271 (ラウンドディー)
o U+2203 (∃) e:123 (There exists) j:269 (ソンザイ ゲンテイシ)
o U+2204 (∄) e:124 (There Does Not Exist) j:240 (ソンザイノ ヒテイ)
o U+2205 (∅) e:125 (EMPTY SET) j:253 (クウシュウゴウ)
o U+2206 (∆) e:126 (INCREMENT) j:247 (インクリメント)
o U+2207 (∇) e:127 (NABLA) j:272 (ナブラ)
o U+2208 (∈) e:128 (ELEMENT OF) j:257 (ゾクスル)
o U+2209 (∉) e:129 (NOT AN ELEMENT OF) j:254 (ゾクスルノ ヒテイ)
o U+220a (∊) e:130 (SMALL ELEMENT OF) j:248 (チイサイ ゾクスル)
o U+220b (∋) e:131 (CONTAINS AS MEMBER) j:258 (フクム)
o U+220c (∌) e:132 (DOES NOT CONTAIN AS MEMBER) j:241 (フクムノ ヒテイ)
o U+220d (∍) e:133 (SMALL CONTAINS AS MEMBER) j:255 (チイサイ モトトシテ フクム)
o U+220e (∎) e:134 (END OF PROOF) j:242 (ショウメイ シュウリョウ)
o U+220f (∏) e:135 (N-ARY PRODUCT) j:250 (エヌコウ プロダクト)
o U+2211 (∑) e:139 (N-ARY SUMMATION) j:284 (シグマ)
o U+221a (√) e:140 (SQUARE ROOT) j:285 (コン)
o U+221b (∛) e:141 (CUBE ROOT) j:244 (3ジョウコン)
o U+221c (∜) e:142 (FOURTH ROOT) j:245 (4ジョウコン)
o U+221d (∝) e:143 (PROPORTIONAL TO) j:276 (ヒレイ)
o U+221e (∞) e:144 (INFINITY) j:206 (ムゲンダイ)
o U+221f (∟) e:145 (RIGHT ANGLE) j:288 (チョッカク)
o U+2220 (∠) e:146 (ANGLE) j:287 (カク)
o U+2225 (∥) e:147 (PARALLEL TO) j:169 (タテヘイコー)
o U+2226 (∦) e:148 (NOT PARALLEL TO) j:251 (タテヘイコーノ ヒテイ)
o U+2227 (∧) e:149 (LOGICAL AND) j:263 (オヨビ)
o U+2228 (∨) e:150 (LOGICAL OR) j:264 (マタワ)
o U+2229 (∩) e:151 (INTERSECTION) j:291 (キャップ)
o U+222a (∪) e:152 (UNION) j:292 (カップ)
o U+222b (∫) e:153 (INTEGRAL) j:277 (インテグラル)
o U+2234 (∴) e:154 (THEREFORE) j:207 (ユエニ)
o U+2235 (∵) e:155 (BECAUSE) j:290 (ナゼナラバ)
o U+2236 (∶) e:156 (RATIO) j:249 (レイショ)
o U+2237 (∷) e:157 (PROPORTION) j:246 (プロポーション)
o U+2264 (≤) e:158 (LESS-THAN OR EQUAL TO) j:243 (ショーナリイコール)
o U+2265 (≥) e:159 (GREATER-THAN OR EQUAL TO) j:256 (ダイナリイコール)
o U+2282 (⊂) e:160 (SUBSET OF) j:261 (シンブブン シューゴー)
o U+2283 (⊃) e:161 (SUPERSET OF) j:262 (シンブヲ モトトシテ フクム)
o U+2286 (⊆) e:162 (SUBSET OF OR EQUAL TO) j:259 (ブブン シューゴー)
o U+2287 (⊇) e:163 (SUPERSET OF OR EQUAL TO) j:260 (ブブンヲ モトトシテ フクム)
o U+25a0 (■) e:95 (black square) j:228 (クロシカク)
o U+25aa (▪) e:96 (black square) j:106 (ビュレット)
o U+25cf (●) e:91 (circle) j:223 (クロマル)
o U+25e6 (◦) e:98 (white bullet) j:105 (シロビュレット)
o U+25fe (◾) e:97 (black square) j:107 (クロシカク)
o U+2713 (✓) e:116 (check) j:119 (チェック)
o U+2714 (✔) e:117 (check) j:120 (チェック)
o U+2794 (➔) e:99 (right arrow) j:112 (ミギヤジルシ)
o U+f0b7 () e:84 (bullet) j:104 (ビュレット)
2015-07-04 12:06 Updated by: nishimoto
Comment

いままで日本語版のみ symbols.dic に追加されていた文字(主に東洋医学系の漢字)を、 本家版の symbols.dic に追加して、 本家版と日本語版の symbols.dic を今後は完全に一致させることにしました。

2015-08-17 09:33 Updated by: nishimoto
  • Ticket Close date is changed to 2015-08-17 09:33
  • Status Update from Open to Closed

Edit

Please login to add comment to this ticket » Login